CVE-2002-1592
CVSS5.0
发布时间 :2002-05-06 00:00:00
修订时间 :2008-09-05 16:31:00
NMCO    

[原文]The ap_log_rerror function in Apache 2.0 through 2.035, when a CGI application encounters an error, sends error messages to the client that include the full path for the server, which allows remote attackers to obtain sensitive information.


[CNNVD]Apache Web Server 2.0以上版本CGI错误远程路径泄露漏洞(CNNVD-200205-002)

        
        Apache httpd是一款非常流行的开放源码的WEB服务器程序。
        Apache httpd 版本2.0到2.0.35在处理ap_log_rerror()函数实现存在漏洞,远程攻击者可以利用这个漏洞获得WEB服务程序的绝对路径信息。
        Apache httpd 2.0到2.0.35版本中的ap_log_rerror()函数用于记录服务器错误,由于ap_log_rerror()函数实现存在漏洞,远程攻击者可以通过一些有问题的CGI脚本触发这个漏洞,造成服务器返回包含WEBROOT目录绝对路径信息给攻击者。攻击者可以利用这个漏洞进一步对系统进行攻击。
        

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:apache:http_server:2.0.28Apache Software Foundation Apache HTTP Server 2.0.28
cpe:/a:apache:http_server:2.0.32Apache Software Foundation Apache HTTP Server 2.0.32
cpe:/a:apache:http_server:2.0Apache Software Foundation Apache HTTP Server 2.0
cpe:/a:apache:http_server:2.0.35Apache Software Foundation Apache HTTP Server 2.0.35

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-1592
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-1592
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200205-002
(官方数据源) CNNVD

- 其它链接及资源

http://www.kb.cert.org/vuls/id/165803
(UNKNOWN)  CERT-VN  VU#165803
http://www.securityfocus.com/bid/5256
(UNKNOWN)  BID  5256
http://www.iss.net/security_center/static/9623.php
(UNKNOWN)  XF  apache-aplogrerror-path-disclosure(9623)
http://www.apache.org/dist/httpd/CHANGES_2.0
(UNKNOWN)  CONFIRM  http://www.apache.org/dist/httpd/CHANGES_2.0

- 漏洞信息

Apache Web Server 2.0以上版本CGI错误远程路径泄露漏洞
中危 访问验证错误
2002-05-06 00:00:00 2005-10-20 00:00:00
远程※本地  
        
        Apache httpd是一款非常流行的开放源码的WEB服务器程序。
        Apache httpd 版本2.0到2.0.35在处理ap_log_rerror()函数实现存在漏洞,远程攻击者可以利用这个漏洞获得WEB服务程序的绝对路径信息。
        Apache httpd 2.0到2.0.35版本中的ap_log_rerror()函数用于记录服务器错误,由于ap_log_rerror()函数实现存在漏洞,远程攻击者可以通过一些有问题的CGI脚本触发这个漏洞,造成服务器返回包含WEBROOT目录绝对路径信息给攻击者。攻击者可以利用这个漏洞进一步对系统进行攻击。
        

- 公告与补丁

        厂商补丁:
        Apache Group
        ------------
        目前厂商已经在新版本的2.0.36及其以上版本的软件中修复了这个安全问题,请到厂商的主页下载:
        Apache Group Upgrade Apache httpd 2.0.39
        
        http://www.apache.org/dist/httpd/

- 漏洞信息

14879
Apache HTTP Server ap_log_rerror Function Error Message Path Disclosure
Vendor Verified

- 漏洞描述

Unknown or Incomplete

- 时间线

2002-05-06 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 2.0.36 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站